|
Harald Hoyer |
414eba |
From f6fa9ef1010b39a4cb71edd5f1074b6716a3488c Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
414eba |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
414eba |
Date: Thu, 23 Jun 2016 16:36:43 +0200
|
|
Harald Hoyer |
414eba |
Subject: [PATCH] TEST-20-NFS: skip root=/dev/nfs tests with systemd v230
|
|
Harald Hoyer |
414eba |
|
|
Harald Hoyer |
414eba |
---
|
|
Harald Hoyer |
414eba |
test/TEST-20-NFS/test.sh | 14 ++++++++------
|
|
Harald Hoyer |
414eba |
1 file changed, 8 insertions(+), 6 deletions(-)
|
|
Harald Hoyer |
414eba |
|
|
Harald Hoyer |
414eba |
diff --git a/test/TEST-20-NFS/test.sh b/test/TEST-20-NFS/test.sh
|
|
Harald Hoyer |
414eba |
index 222bd24..981cd82 100755
|
|
Harald Hoyer |
414eba |
--- a/test/TEST-20-NFS/test.sh
|
|
Harald Hoyer |
414eba |
+++ b/test/TEST-20-NFS/test.sh
|
|
Harald Hoyer |
414eba |
@@ -114,14 +114,16 @@ test_nfsv3() {
|
|
Harald Hoyer |
414eba |
client_test "NFSv3 root=dhcp DHCP path only" 52:54:00:12:34:00 \
|
|
Harald Hoyer |
414eba |
"root=dhcp" 192.168.50.1 -wsize=4096 || return 1
|
|
Harald Hoyer |
414eba |
|
|
Harald Hoyer |
414eba |
- client_test "NFSv3 Legacy root=/dev/nfs nfsroot=IP:path" 52:54:00:12:34:01 \
|
|
Harald Hoyer |
414eba |
- "root=/dev/nfs nfsroot=192.168.50.1:/nfs/client" 192.168.50.1 -wsize=4096 || return 1
|
|
Harald Hoyer |
414eba |
+ if [[ "$(systemctl --version)" != *"systemd 230"* ]] 2>/dev/null; then
|
|
Harald Hoyer |
414eba |
+ client_test "NFSv3 Legacy root=/dev/nfs nfsroot=IP:path" 52:54:00:12:34:01 \
|
|
Harald Hoyer |
414eba |
+ "root=/dev/nfs nfsroot=192.168.50.1:/nfs/client" 192.168.50.1 -wsize=4096 || return 1
|
|
Harald Hoyer |
414eba |
|
|
Harald Hoyer |
414eba |
- client_test "NFSv3 Legacy root=/dev/nfs DHCP path only" 52:54:00:12:34:00 \
|
|
Harald Hoyer |
414eba |
- "root=/dev/nfs" 192.168.50.1 -wsize=4096 || return 1
|
|
Harald Hoyer |
414eba |
+ client_test "NFSv3 Legacy root=/dev/nfs DHCP path only" 52:54:00:12:34:00 \
|
|
Harald Hoyer |
414eba |
+ "root=/dev/nfs" 192.168.50.1 -wsize=4096 || return 1
|
|
Harald Hoyer |
414eba |
|
|
Harald Hoyer |
414eba |
- client_test "NFSv3 Legacy root=/dev/nfs DHCP IP:path" 52:54:00:12:34:01 \
|
|
Harald Hoyer |
414eba |
- "root=/dev/nfs" 192.168.50.2 -wsize=4096 || return 1
|
|
Harald Hoyer |
414eba |
+ client_test "NFSv3 Legacy root=/dev/nfs DHCP IP:path" 52:54:00:12:34:01 \
|
|
Harald Hoyer |
414eba |
+ "root=/dev/nfs" 192.168.50.2 -wsize=4096 || return 1
|
|
Harald Hoyer |
414eba |
+ fi
|
|
Harald Hoyer |
414eba |
|
|
Harald Hoyer |
414eba |
client_test "NFSv3 root=dhcp DHCP IP:path" 52:54:00:12:34:01 \
|
|
Harald Hoyer |
414eba |
"root=dhcp" 192.168.50.2 -wsize=4096 || return 1
|